Subject: [Xml-sg-cmt] sourcecode type values - Re: AUTH48 [RE]: RFC 9148 <draft-ietf-ace-coap-est-18>

From: Alice Russo <[email-masked]>
Date: Mon, 30 Aug 2021 10:38:03 -0700

Greetings,

Re: https://www.rfc-editor.org/authors/rfc9148.txt
(line numbers below are from https://www.rfc-editor.org/authors/rfc9148.xml)

We received a request from Michael Richardson to add these types:
"core-link-format", "coap", "certificate", and "private key"
Details below. OK to add to the list (https://www.rfc-editor.org/materials/sourcecode-types.txt)?

(In past RFCs, I see private keys have been sourcecode (without the type set) or artwork. And in one case (RFC 8995), I see type="example-crypto-material".)

Thanks,
Alice
--

>>>> 5) <!-- [rfced] FYI: We have updated some <artwork> tags to
>>>> <sourcecode>.  Please let us know if the "type" attribute should be
>>>> updated for <sourcecode>.  Types can be found at
>>>> <https://www.rfc-editor.org/materials/sourcecode-types.txt>.  Note
>>>> that it is acceptable to leave the "type" attribute empty.
>   -->
>>> 
>>> I will review the XML to see.
> 
> line 308, we show some URLs.  I would leave that as artwork.
> ditto line 320.
> 
> line 378, this is a result from RFC6690 Core Link Format.
> Maybe add new type="core-link-format"?
> ditto liine 399
> 
> line 525 should be cbor-pretty
> line 1579 -- leave as artwork.
> line 1586 -- maybe add "coap"?
> 
> line 1621, leave as artwork.
> line 1626 -- maybe "coap", or artwork.
> line 1682 -- artwork.
> line 1712 -- artwork
> line 1751 -- artwork
> line 1771 -- artwork
> line 1817 -- artwork
> line 1901 -- "coap"
> line 1938 -- "coap"
> line 1963 -- "coap"
> line 1988 -- "coap"
> line 2074 -- maybe new type, "certificate". If not, maybe "asn.1"
> line 2124 -- ditto
> line 2159 -- ditto
> line 2208 -- ditto
> line 2234 -- maybe new type "private key", or maybe just artwork
> line 2251 -- certificate
>

---

From: "John R Levine" <[email-masked]>
Date: 30 Aug 2021 13:54:39 -0400

> Details below. OK to add to the list (https://www.rfc-editor.org/materials/sourcecode-types.txt)?

Since asn.1 is already on the list, and certificate is indeed encoded as 
asn.1, I'd use that rather than invent a new type.

I guess coap and core-link-format are OK.  The private key looks like 
artwork to me, since it's just a dump of the key, not anything with a 
particular syntax.

Other opinions welcome.

R's,
John

> (In past RFCs, I see private keys have been sourcecode (without the type set) or artwork. And in one case (RFC 8995), I see type="example-crypto-material".)

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly